Get Voices
curl --request GET \
--url http://chariot-dev-backend-lb-828367089.ap-south-1.elb.amazonaws.com/v1/voices \
--header 'chariotai-api-key: <api-key>'import requests
url = "http://chariot-dev-backend-lb-828367089.ap-south-1.elb.amazonaws.com/v1/voices"
headers = {"chariotai-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'chariotai-api-key': '<api-key>'}};
fetch('http://chariot-dev-backend-lb-828367089.ap-south-1.elb.amazonaws.com/v1/voices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"voice_id": "<string>",
"voice_name": "",
"voice_description": "",
"voice_sample": "<string>"
}
],
"total_voices": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Endpoints
Get Voices
GET
/
v1
/
voices
Get Voices
Authorizations
Use the API key generated from our website to programmatically interact with our endpoints. This key authorizes your requests, allowing you to access and utilize our services securely.
Query Parameters
Available options:
desc, asc Available options:
stock_voice, custom_voice ⌘I